Skip to content

Most visited

Recently visited

navigation
Added in API level 1

IncompatibleClassChangeError

public class IncompatibleClassChangeError
extends LinkageError

java.lang.Object
   ↳ java.lang.Throwable
     ↳ java.lang.Error
       ↳ java.lang.LinkageError
         ↳ java.lang.IncompatibleClassChangeError
Known Direct Subclasses


IncompatibleClassChangeError is the superclass of all classes which represent errors that occur when inconsistent class files are loaded into the same running image.

See also:

Summary

Public constructors

IncompatibleClassChangeError()

Constructs a new IncompatibleClassChangeError that includes the current stack trace.

IncompatibleClassChangeError(String detailMessage)

Constructs a new IncompatibleClassChangeError with the current stack trace and the specified detail message.

Inherited methods

From class java.lang.Throwable
From class java.lang.Object

Public constructors

IncompatibleClassChangeError

Added in API level 1
IncompatibleClassChangeError ()

Constructs a new IncompatibleClassChangeError that includes the current stack trace.

IncompatibleClassChangeError

Added in API level 1
IncompatibleClassChangeError (String detailMessage)

Constructs a new IncompatibleClassChangeError with the current stack trace and the specified detail message.

Parameters
detailMessage String: the detail message for this error.
This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.